Unable to install MT4 in raspberry

Unable to install MT4 in raspberry

Postby ktlim1986 » Thu Jan 04, 2018 6:13 pm

Hi,

I bought the Exagear Desktop yesterday. While setting up, I encountered an error.
I followed the instruction here, https://eltechs.com/metatrader-4-on-raspberry-pi/.
Any advice that I can solve this?

Code: Select all
Unsupported Operating System!

Please upgrade to Windows 7 with Service Pack 1 or later. Trading on financial markets requires maximum security and performance.


here is the console log
Code: Select all
pi@raspberry:~/Downloads $ wine ./mt4setup.exe 
fixme:iphlpapi:NotifyIpInterfaceChange (family 0, callback 0x93b608, context 0x44a86c0, init_notify 0, handle 0x4cde794): stub
wine: configuration in '/home/pi/.wine' has been updated.
fixme:module:load_library unsupported flag(s) used (flags: 0x00000800)
fixme:module:load_library unsupported flag(s) used (flags: 0x00000800)
fixme:module:load_library unsupported flag(s) used (flags: 0x00000800)
fixme:module:load_library unsupported flag(s) used (flags: 0x00000800)
fixme:module:load_library unsupported flag(s) used (flags: 0x00000800)
fixme:module:load_library unsupported flag(s) used (flags: 0x00000800)
fixme:mountmgr:harddisk_ioctl returning zero-filled buffer for IOCTL_VOLUME_GET_VOLUME_DISK_EXTENTS
fixme:mountmgr:harddisk_ioctl Unsupported ioctl 74080 (device=7 access=1 func=20 method=0)
fixme:mountmgr:harddisk_ioctl Unsupported ioctl 2d1400 (device=2d access=0 func=500 method=0)
fixme:mountmgr:harddisk_ioctl Unsupported ioctl 2d0c10 (device=2d access=0 func=304 method=0)
fixme:mountmgr:harddisk_ioctl returning zero-filled buffer for IOCTL_VOLUME_GET_VOLUME_DISK_EXTENTS
fixme:mountmgr:harddisk_ioctl Unsupported ioctl 2d1400 (device=2d access=0 func=500 method=0)
fixme:mountmgr:harddisk_ioctl Unsupported ioctl 74080 (device=7 access=1 func=20 method=0)
fixme:mountmgr:harddisk_ioctl Unsupported ioctl 2d0c10 (device=2d access=0 func=304 method=0)
fixme:module:load_library unsupported flag(s) used (flags: 0x00000800)
fixme:ver:GetCurrentPackageId (0xa8e9a8 (nil)): stub
fixme:secur32:schannel_get_mac_algid unknown algorithm 200
fixme:secur32:schannel_get_mac_algid unknown algorithm 200
ktlim1986
 
Posts: 1
Joined: Thu Jan 04, 2018 5:59 pm

Re: Unable to install MT4 in raspberry

Postby Sphin » Sun Jan 07, 2018 11:00 am

Try "winecfg" inside exagear terminal. At the bottom of the first rider "Applications" there is a pulldown menu "Windows Version" that I suspect to show "Windows XP" or similar. Set it at least to "Windows 7" to install MT4.
User avatar
Sphin
 
Posts: 2
Joined: Tue Oct 31, 2017 3:46 am


Return to ExaGear Desktop

Who is online

Users browsing this forum: No registered users and 2 guests

cron